/*
 * SonarQube
 * Copyright (C) 2009-2016 SonarSource SA
 * mailto:contact AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package org.sonar.server.es;

import com.google.common.collect.Maps;
import java.util.Map;

import static org.sonar.server.es.FakeIndexDefinition.INT_FIELD;

public class FakeDoc extends BaseDoc {
  public FakeDoc(Map<String, Object> fields) {
    super(fields);
  }

  @Override
  public String getId() {
    return null;
  }

  @Override
  public String getRouting() {
    return null;
  }

  @Override
  public String getParent() {
    return null;
  }

  public FakeDoc() {
    super(Maps.<String, Object>newHashMap());
  }

  public int getInt() {
    return getField(INT_FIELD);
  }

  public FakeDoc setInt(int i) {
    setField(INT_FIELD, i);
    return this;
  }
}
