/*
 * SonarQube
 * Copyright (C) 2009-2016 SonarSource SA
 * mailto:contact AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
import React from 'react';
import { connect } from 'react-redux';
import Nav from './Nav';
import UserCard from './UserCard';
import { getCurrentUser } from '../../../app/store/rootReducer';
import '../account.css';

class Account extends React.Component {
  render () {
    const { currentUser, children } = this.props;

    if (currentUser == null) {
      return (
          <div id="account-page">
            <div className="text-center">
              <i className="spinner"/>
            </div>
          </div>
      );
    }

    return (
        <div id="account-page">
          <header className="account-header">
            <div className="account-container clearfix">
              <UserCard user={currentUser}/>
              <Nav user={currentUser}/>
            </div>
          </header>

          {children}
        </div>
    );
  }
}

export default connect(
    state => ({
      currentUser: getCurrentUser(state)
    })
)(Account);
